package es

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_es.git/md"
	"github.com/olivere/elastic/v7"
)

var EsClient *elastic.Client

//InitEs 根据Es配置文件初始化数据库
func InitEs(c *md.EsCfg) {
	var (
		err error
	)
	// 创建 es 连接
	EsClient, err = elastic.NewClient(
		// 如果 es 是通过 docker 安装，如果不设置 `elastic.SetSniff(false)` 则会报错
		elastic.SetSniff(c.SnifferEnabled),           // 允许指定弹性是否应该定期检查集群，默认为 true, 会把请求 http://ip:port/_nodes/http，并将其返回的 publish_address 作为请求路径
		elastic.SetURL(c.Url),                        // 服务地址
		elastic.SetBasicAuth(c.UserName, c.Password), // 设置认证账号和密码
	)
	if err != nil {
		panic(err)
	}
}
