package es

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_es.git/md"
	"fmt"
	"testing"
)

func TestCreateIndex(t *testing.T) {
	Init("http://120.55.48.175:9200", "elastic", "fnuo123")
	// 创建索引
	err := CreateIndexIfNotExists(md.ZhiosOrdersEsIndex, md.ZhiosOrdersEsMapping)
	if err != nil {
		panic(err)
	}
	// deleteIndexRet  ==> &{Acknowledged:true}
	fmt.Printf("createIndexRet  ==> %+v \n\n", md.ZhiosOrdersEsIndex)
}

func TestDeleteIndex(t *testing.T) {
	Init("http://120.55.48.175:9200", "elastic", "fnuo123")
	// 删除索引
	deleteIndexRet, err := DeleteIndex(md.ZhiosOrdersEsIndex)
	if err != nil {
		panic(err)
	}
	// deleteIndexRet  ==> &{Acknowledged:true}
	fmt.Printf("deleteIndexRet  ==> %+v \n\n", deleteIndexRet)
}

func TestCreateDoc(t *testing.T) {
	// 创建文档
	//now := time.Now().Unix()
	Init("http://120.55.48.175:9200", "elastic", "fnuo123")
	createDocRet, err := CreateDoc(md.ZhiosOrdersEsIndex, "2_18_alex333", md.ZhiosOrdersEs{
		MasterId:              1,
		OrdId:                 "123456",
		MainOrdId:             "3",
		StoreOrdId:            "4",
		GoodsId:               "5",
		Uid:                   "6",
		BuyerPhone:            "7",
		CostPrice:             8,
		State:                 9,
		StateZh:               "完成",
		PayTime:               "2020-10-06 17:20:21",
		PayChannel:            12,
		PayChannelZh:          "13",
		ReceiverPhone:         "14",
		ReceiverName:          "未寒",
		ReceiverAddressDetail: "16",
		Province:              "17",
		City:                  "18",
		County:                "19",
		OrderType:             20,
		EstimateCommission:    21,
		LogisticCompany:       "22",
		OrdCreateTime:         "2020-10-06 17:20:21",
		CreatedAt:             "2020-10-06 17:20:21",
		UpdatedAt:             "2020-10-06 17:20:21",
	})
	if err != nil {
		panic(err)
	}
	// CreateDoc ==> &{Index:rcp_goods_img_checks Type:_doc Id:2_18_alex111 Version:1 Result:created Shards:0xc00020c2c0 SeqNo:0 PrimaryTerm:1 Status:0 ForcedRefresh:false}
	fmt.Printf("CreateDoc ==> %+v \n\n", createDocRet)
}

func TestFirstDoc(t *testing.T) {
	Init("http://120.55.48.175:9200", "elastic", "fnuo123")
	// 通过文档 id 查找文档
	firstDocRet, err := FirstDoc(md.ZhiosOrdersEsIndex, "2_18_alex111")
	if err != nil {
		panic(err)
	}
	if firstDocRet.Found { // 表示找到了数据
		// FirstDoc ==>  &{Index:rcp_goods_img_checks Type:_doc Id:2_18_alex111 Uid: Routing: Parent: Version:0xc000282a10 SeqNo:0xc000282a18 PrimaryTerm:0xc000282a20 Source:[123 34 97 112 112 95 110 97 109 101 34 58 50 44 34 117 112 100 97 116 101 100 95 97 116 34 58 49 54 54 48 53 55 57 52 56 54 44 34 115 105 116 101 95 105 100 34 58 49 56 44 34 103 111 111 100 115 95 105 100 34 58 34 97 108 101 120 49 49 49 34 44 34 99 114 101 97 116 101 100 95 97 116 34 58 49 54 54 48 53 55 57 52 56 54 44 34 99 104 101 99 107 95 115 116 97 116 117 115 34 58 50 51 125] Found:true Fields:map[] Error:<nil>} Source: {"app_name":2,"updated_at":1660579486,"site_id":18,"goods_id":"alex111","created_at":1660579486,"check_status":23}
		fmt.Printf("FirstDoc ==>  %+v Source: %+v \n\n", firstDocRet, string(firstDocRet.Source))
	}
}

func TestDeleteDoc(t *testing.T) {
	Init("http://120.55.48.175:9200", "elastic", "fnuo123")
	// 通过文档 id 删除文档
	deleteDocRet, err := DeleteDoc(md.ZhiosOrdersEsIndex, "_search")
	if err != nil {
		panic(err)
	}
	// DeleteDoc  ==> &{Index:rcp_goods_img_checks Type:_doc Id:2_18_alex111 Version:6 Result:deleted Shards:0xc00007e2c0 SeqNo:7 PrimaryTerm:1 Status:0 ForcedRefresh:false}
	fmt.Printf("DeleteDoc  ==> %+v \n\n", deleteDocRet)
}
